Reset Search
 

 

Article

FN-2019-430 - VDX6940-144S, -96S, -64S New Hardware not compatible with older NOS versions

« Go Back

Information

 
Notice Summary
VDX 6940-144S, VDX 6940-64S & VDX 6940-96S with a newer hardware component require a NOS version where the fixes exist. Networks that are not upgraded to these later NOS releases will not be able to install a VDX6940 that is newly purchased or received as an RMA replacement.
NOTE: This is an Extreme FN revised from the original Brocade TSB-2017-260-A Support Bulletin.
Background
VDX 6940-144S, VDX 6940-64S & VDX 6940-96S with the new hardware component require a NOS version with the code fixes for defect IDs: 643669, 644087, 645838.
Impact
This issue is only applicable to VDX 6940-144S, VDX 6940-64S & VDX 6940-96S with newer hardware components when used with NOS versions that do not include the NOS fix. System performance of the VDX6940-144S, -96S, -64S can get degraded and experience an unexpected reload, and may go into a state where ‘netinstall’ is required to recover the device.
Products Affected
VDX 6940-144S, VDX 6940-96S, & VDX 6940-64S (with newer hardware component as described in the Symptoms section)
Software Affected
NOS 6.0.2e, NOS 7.0.1b, NOS 7.1.0 and earlier releases
Symptoms
VDX6940-144S, VDX 6940-96S & VDX 6940-64S with a newer hardware component can experience sudden reload if the device is running with NOS version without the fixes.   

To identify a newer hardware component, execute “show chassis” CLI and verify Factory Part Num, if the last 2 digits are 11 or higher, it is running with the affected hardware component as below.   
sw0# show chassisFactory Part Num: 40-1001106-11  

These VDX 6940 product family with the newer hardware component will come with a compatible NOS version from manufacturing and firmware downgrade and upgrade cases have been handled as below:   

1. Firmware download to a non uboot fix NOS version [Ex: NOS7.0.1c] will NOT be supported and blocked.  
sw0# firmware download [default-config] scp user <UN> password <PW> host 10.10.10.10 directory <ImageDir>/nos7.0.1c
Performing system sanity check...   A newer hardware component has been detected, thus firmware download is
blocked to avoid degrading the system performance of the BR-VDX6940-144S platform.
The preinstall script failed.
sw0# 

2. Firmware download to uboot fix NOS version [Ex: NOS7.2.0] will be supported.  
sw0# firmware download [default-config] scp user <UN> password <PW> host 10.10.10.10 directory <ImgaeDir>/nos7.2.0/
Performing system sanity check...   This command will cause a cold/disruptive reboot and will require that
existing telnet, secure telnet or SSH sessions be restarted.

Do you want to continue? [y/n]: 

3. Firmware Upgrade/Downgrade when a cluster has a variety of products including affected products with a newer hardware component.  

This is to ensure avoiding a partial cluster upgrade with the other half blocked on older releases due to other nodes in the cluster failing upgrade due to the presence of the issue on any single applicable node.  

If planning to perform a cluster wide firmware download operation, then it would be better to identify the vulnerability with this issue on any affected product by verifying “Factory Part Num” as mentioned above prior to the upgrade.
Workaround
Please do not use “firmware install” CLI for NOS version upgrade or downgrade on VDX 6940-144S, VDX 6940-64S & VDX 6940-96S with a newer hardware component, as it will not block firmware download to non-uboot fixed NOS version.
Solution
In order to install either new or RMA replacements of VDX6940s into an existing network, the minimum versions of NOS 6.0.2f, NOS 7.0.1c1, NOS 7.1.0a2, NOS 7.0.2 & NOS 7.2.0 or later patch\major releases are required.

Note: Later HW releases of the VDX 6940-144S, VDX 6940-64S & VDX 6940-96S with Part number -13 or higher, will require a new set of minimum NOS SW versions, different from the -11 and -12 part numbers.
 
sw0# show chassis
…
Factory Part Num: 40-1001106-13 (or higher)

The required minimum versions for -13 and higher are NOS 6.0.2h, NOS 7.0.2a, NOS 7.1.0b2 (ask GTAC), NOS 7.2.0b, NOS 7.3.0 and later versions for each code stream.

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255